=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libfam-dev,
                libqt5sql5-sqlite:native,
                libudev-dev,
