## kcoreaddons 5.113.0

=== debian/changelog ===
kcoreaddons (5.113.0-0ubuntu2) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - KF5 build depends bumped to currrent 5.11.3.0.
    - Keep our symbols file.
    - Disable acc test, but keep our config in case we want to
      enable again.

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Jan 2024 12:19:10 +0000

kcoreaddons (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:05 +0000

kcoreaddons (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:54 +0000

kcoreaddons (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:34 +0000

kcoreaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:26 +0200

kcoreaddons (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:47 +0100
