=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.110.0~),
-               libfam-dev,
+               extra-cmake-modules (>= 5.113.0~),
                libqt5sql5-sqlite:native,
-               libudev-dev,
+               libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
@@ -25,7 +25,7 @@
 Package: libkf5coreaddons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE Frameworks 5 addons to QtCore - data files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -44,7 +44,7 @@
          libkf5coreaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Replaces: libkf5coreaddons-bin-dev (<< 5.41)
+Replaces: libkf5coreaddons-bin-dev (<< 5.41),
 Breaks: baloo-kf5-dev (<< 5.54),
         kded5-dev (<< 5.54),
         libkf5auth-dev (<< 5.54),
@@ -72,9 +72,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkf5coreaddons-bin-dev
-Breaks: libkf5coreaddons-bin-dev
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Replaces: libkf5coreaddons-bin-dev,
+Breaks: libkf5coreaddons-bin-dev,
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -88,7 +88,7 @@
 Package: libkf5coreaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE Frameworks 5 addons to QtCore (documentation)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
