=== debian/changelog ===
kcoreaddons (5.115.0-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.74.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 25 Oct 2020 23:48:26 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 09 Jun 2024 19:07:58 +0000

kcoreaddons (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:09:32 +0200

kcoreaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015441).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:40:16 +0100
