=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: kcoreaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                libqt5sql5-sqlite:native,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.16~),
@@ -18,8 +17,8 @@
                shared-mime-info (>= 1.8~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
 Rules-Requires-Root: no
 
 Package: libkf5coreaddons-data
@@ -57,7 +56,7 @@
         libkf5pty-dev (<< 5.54),
         libkf5purpose-dev (<< 5.54),
         libkf5service-dev (<< 5.54),
-Recommends: libkf5coreaddons-doc (= ${source:Version})
+Recommends: libkf5coreaddons-doc (= ${source:Version}),
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
