=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libqt5sql5-sqlite:native,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.16~),
@@ -15,7 +15,7 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
